Workspace/Role

List users assigned to a custom workspace role

GET
/api/v2/workspaces/{id}/roles/{roleId}/users

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Workspace UUID

Formatuuid
roleId*string

auth_item.name of the custom role

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/roles/string/users"
{  "users": [    {      "id": 12,      "email": "user@example.com",      "fullName": "Jane Doe"    }  ]}
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "You are not allowed to perform this action."  }}
{  "message": {    "error": "Page not found"  }}